Skip to content

Update the authenticated workspace user's profile fields.

PUT
/api/workspace/account/profile
curl --request PUT \
--url https://example.com/api/workspace/account/profile \
--header 'Content-Type: application/json' \
--data '{ "UserName": "example", "Email": "example", "FirstName": "example", "LastName": "example" }'

Service accounts cannot access this endpoint via API keys.

  • None
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Request payload to update the authenticated workspace account profile.

object
UserName

Login user name.

string
nullable
Email

Optional email address.

string
nullable
FirstName

First name.

string
nullable
LastName

Last name.

string
nullable
Examplegenerated
{
"UserName": "example",
"Email": "example",
"FirstName": "example",
"LastName": "example"
}

OK

Media typeapplication/json
object
Data

Profile fields for the authenticated workspace account.

object
UserId

Workspace user identifier.

string
nullable
UserName

Login user name.

string
nullable
Email

Optional email address.

string
nullable
FirstName

First name.

string
nullable
LastName

Last name.

string
nullable
UserType
integer format: int32
Allowed values: 0 1 2
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"UserType": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Profile fields for the authenticated workspace account.

object
UserId

Workspace user identifier.

string
nullable
UserName

Login user name.

string
nullable
Email

Optional email address.

string
nullable
FirstName

First name.

string
nullable
LastName

Last name.

string
nullable
UserType
integer format: int32
Allowed values: 0 1 2
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"UserType": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Profile fields for the authenticated workspace account.

object
UserId

Workspace user identifier.

string
nullable
UserName

Login user name.

string
nullable
Email

Optional email address.

string
nullable
FirstName

First name.

string
nullable
LastName

Last name.

string
nullable
UserType
integer format: int32
Allowed values: 0 1 2
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"UserType": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}